Status: New Start date: 03 Apr 2012

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Various Estimated time: 4.00 hours

Target version: CoCoALib-1.0 Spent time: 0.30 hour

Description

The following should compute a LT ideal of a small ideal (using lex).

It takes longer than I would expect over QQ -- it is quite fast over ZZ/(p), and produces ideal(x,y,z^10).

Over QQ it is really too slow (>20mins on my current computer)... JAA thinks there may really be a bug.

  ring QQ = RingQQ();

  PolyRing P = NewPolyRing(QQ, symbols("x","y","z"), lex);

  RingElem x = indet(P,0);

  RingElem y = indet(P,1);

  RingElem z = indet(P,2);

  RingElem g1 = x*x*x +x*x*z +x*z;

  RingElem g2 = x*x*x +x*y*y +1;

  RingElem g3 = x*x +x*y*z +y*y*y;

  ideal I(g1,g2,g3);

  cout << "LT(I)=" << LT(I) << endl;

 

Estimated time is only for locating the problem; it will have to be updated when the root cause is discovered.

Related issues:

Related to CoCoALib - Design #871: Redesign ideals New 26 Apr 2016

History

#1 - 03 Apr 2012 21:08 - John Abbott

Here is another suspect starting ideal in QQ[x,y,z],Lex

[x^4 +x*y^2*z +y^4, x^3*y +x^2*z^2 +z^2]

#2 - 03 Apr 2012 21:48 - John Abbott

My "noddy" program for computing GBases can do the whole computation in a few seconds...

#3 - 09 Oct 2012 15:47 - Anna Maria Bigatti

- Tracker changed from Bug to Slug

- Subject changed from Surprisingly slow to LT over QQ: surprisingly slow

#4 - 01 Apr 2014 17:41 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#5 - 01 Apr 2014 18:50 - Anna Maria Bigatti

- Category set to Various

#6 - 08 Apr 2014 18:36 - John Abbott
- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#7 - 10 Jul 2014 16:26 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#8 - 26 Apr 2016 15:13 - John Abbott

- Related to Design #871: Redesign ideals added

Powered by TCPDF (www.tcpdf.org)

27 Apr 2024 2/2

http://www.tcpdf.org

